from parallels.core.utils.entity import Entity


class IpAddress(Entity):
    def __init__(self, ip_address_id, ip_address, service_node_id, ftps):
        self._ip_address_id = ip_address_id
        self._ip_address = ip_address
        self._service_node_id = service_node_id
        self._ftps = ftps

    @property
    def ip_address_id(self):
        """
        :rtype: str | unicode
        """
        return self._ip_address_id

    @property
    def ip_address(self):
        """
        :rtype: str | unicode
        """
        return self._ip_address

    @property
    def service_node_id(self):
        """
        :rtype: str | unicode
        """
        return self._service_node_id

    @property
    def ftps(self):
        """
        :rtype: str | unicode
        """
        return self._ftps
